Bug 485403 - (ytnef) Review Request: ytnef - Yerase's TNEF Stream Reader.
Review Request: ytnef - Yerase's TNEF Stream Reader.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Van Dolson
Fedora Extras Quality Assurance
:
Depends On: libytnef
Blocks: KyaPanel
  Show dependency treegraph
 
Reported: 2009-02-13 07:19 EST by Itamar Reis Peixoto
Modified: 2009-09-08 21:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-08 21:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rayvd: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-02-13 07:19:19 EST
Spec URL: http://ispbrasil.com.br/ytnef/ytnef.spec
SRPM URL: http://ispbrasil.com.br/ytnef/ytnef-2.6-2.src.rpm
Description: 

Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.
Comment 1 Itamar Reis Peixoto 2009-02-13 09:07:38 EST
koji scratch build in dist-f11

http://koji.fedoraproject.org/koji/taskinfo?taskID=1124686
Comment 2 Ray Van Dolson 2009-03-24 03:49:28 EDT
Note that correct SRPM URL should be:
  http://ispbrasil.com.br/ytnef/ytnef-2.6-2.fc10.src.rpm

At initial glance, can you change the license to GPLv2+?.  Also, it's a little cleaner to use the %{__make}, %{__rm} macros if possible, and you might consider including ChangeLog as part of the documentation.

I'll do a formal review tomorrow.  Going to bed right now. :-)
Comment 3 Itamar Reis Peixoto 2009-03-24 09:56:54 EDT
I am not clear about the license, I belive the correct license should be the same as already included libytnef-devel, GPL+

please l@@k


new spec.

http://ispbrasil.com.br/ytnef/ytnef.spec
http://ispbrasil.com.br/ytnef/ytnef-2.6-3.fc11.src.rpm



koji scratch build (dist-f11)
------------

http://koji.fedoraproject.org/koji/taskinfo?taskID=1256395
Comment 4 Ray Van Dolson 2009-04-13 14:34:40 EDT
Sorry for the very long delay on this. :-(

Going through the review I realized I can't even install this on Fedora 10:

ytnef-2.6-3.fc10.i386 from ../RPMS/ytnef-2.6-3.fc10.i386.rpm has depsolving problems
  --> Missing Dependency: perl(Mail::Mailer::test) is needed by package ytnef-2.6-3.fc10.i386 (../RPMS/ytnef-2.6-3.fc10.i386.rpm)
Error: Missing Dependency: perl(Mail::Mailer::test) is needed by package ytnef-2.6-3.fc10.i386 (../RPMS/ytnef-2.6-3.fc10.i386.rpm)

(yum localinstall results).  Maybe this package is provided by rawhide?  I'll check.  a yum provides on my F10 repos comes up with nothing however.
Comment 5 Itamar Reis Peixoto 2009-04-13 14:47:08 EDT
(In reply to comment #4)
please hold, I will check this soon.
Comment 6 Ray Van Dolson 2009-05-28 00:16:57 EDT
Any new information on this?
Comment 8 Itamar Reis Peixoto 2009-08-16 20:15:38 EDT
ping
Comment 9 Allisson Azevedo 2009-08-18 11:27:31 EDT
My informal review:

- Package build fine on koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1612465 dist-f11
- Silent rpmlint output

I think is all done with this package and should be approved :)
Comment 10 Ray Van Dolson 2009-08-18 11:44:04 EDT
Sorry guys, got super busy with work and have seriously neglected Fedora lately.  I will do the formal review today.
Comment 11 Ray Van Dolson 2009-08-19 01:01:28 EDT
rpmlint output:
  ytnef.i586: I: checking1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  MUST: The License field in the package spec file must match the actual
  license.
  --
  Looks like the license string for this should be set to GPLv2+ not 
  GPL+

All other MUST items check out.
All SHOULD items check out.

ACCEPTED
Comment 12 Itamar Reis Peixoto 2009-08-19 23:35:28 EDT
New Package CVS Request
=======================
Package Name: ytnef
Short Description: Yerase's TNEF Stream Reader
Owners: itamarjp
Branches: F-10 F-11
InitialCC:
Comment 13 Jason Tibbitts 2009-08-20 13:33:55 EDT
CVS done.
Comment 14 Fedora Update System 2009-08-20 19:18:57 EDT
ytnef-2.6-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ytnef-2.6-4.fc11
Comment 15 Fedora Update System 2009-08-20 19:19:02 EDT
ytnef-2.6-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ytnef-2.6-4.fc10
Comment 16 Fedora Update System 2009-08-21 21:00:33 EDT
ytnef-2.6-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ytnef'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8853
Comment 17 Fedora Update System 2009-08-21 21:05:11 EDT
ytnef-2.6-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ytnef'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8871
Comment 18 Fedora Update System 2009-09-08 21:51:45 EDT
ytnef-2.6-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-09-08 21:54:32 EDT
ytnef-2.6-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.